---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dpl
spec:
  template:
    spec:
      containers:
      - image: ishare-consumer
        name: ishare-consumer
        envFrom:
          - configMapRef:
              name: ishare-common-cm
          - secretRef:
              name: ishare-common-sc
        ports:
          - containerPort: 80
            name: http
